<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Mail;
use DB;
use Carbon\Carbon;
use App\Models\PublishMailByCron;
use Illuminate\Support\Facades\Log;

class SendEmail extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'send:email';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Send email to every subscriber';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        Log::info("Cron started on ".date('Y-m-d H:i:s'));
        
        $subscribers = PublishMailByCron::where('status',0)->where('from_emailid','<>','editor@wjpmr.com')->orderBy('id','desc')->limit(500)->get();
        \Log::info("subscribers found - ".count($subscribers));
        // \Log::info(__LINE__.__FILE__."subscribers".json_encode($subscribers));
        if($subscribers)
        {
            $body = $subscribers[0]->body;

            $subject = $subscribers[0]->subject;              

            $uid=0;     

            $error_count =0;

            $mailcount=0;

            $driver = "ses";

            foreach($subscribers as $row)
            {   
                try 
                { 
                    if($row->from_emailid=='editor@wjpmr.com'){
                        
                        $driver = "ses";
                        \Log::info(__LINE__.__FILE__."row->from_emailid".json_encode($driver));
                    }else if($row->from_emailid=='editor@ejpmr.one'){
                                $driver ="mailgun";
                    }else {
                        $driver = "smtp";
                        \Log::info(__LINE__.__FILE__."row->from_emailid_else".json_encode($driver));
                    }
                    //set img tag with publish_email_tbl pk
                    
                    $publishEmailId = $row->tbl_pub_ema_id;
                    $email = $row->to_emailid;
                    $sendTime = Carbon::now();
                    $param = encrypt($publishEmailId.'+'.$email.'+'.$sendTime);
                    $srcLink = url('email-notification/'.$param);
                    
                    $imgTag = "<img src='".$srcLink."' border='0' width='0' height='0'>";
                    $mailBody = $row->body.$imgTag;
                    
                    
                   if ($this->send_mail($driver,$row->from_emailid,$row->to_emailid,$mailBody,$row->subject)) 
                    
                   {
                        $ses_response = "request : Sent";
                        /*update sent mail status*/
                        $publish_value = PublishMailByCron::where('id',$row->id)->update(["status"=>1, "mail_response"=>$ses_response,"createdon" => Carbon::now()]);
                        \Log::info(__LINE__.__FILE__."row->publish_value".json_encode($publish_value));

                        /*remove record from publish mail by cron table*/
                        $publish_delete =  PublishMailByCron::where('id',$row->id)->delete();
                        \Log::info(__LINE__.__FILE__."row->publish_delete".json_encode($publish_delete));
                    } 
                    else
                    {
                        $error_count++;

                        $ses_response = "error : error";
                        \Log::info(__LINE__.__FILE__."row->error_count_else".json_encode($ses_response));

                    }

                    $mailcount++;

                    if($error_count == 5)
                    {
                        \Log::info(__LINE__.__FILE__."row->error_count == 5".json_encode($error_count));
                        /*if get any error send email to admin*/
                        $sub = "Error : On send email by aws ses.";
                        $m_body = "<!DOCTYPE html>
                                    <html>
                                    <head>
                                    </head>
                                    <body>
                                    <p>hI,</p>
                                    <p>Geting error when sendign email by ".$row->from_emailid."</p>
                                    <p>Regards</p>
                                    <p>vishal sharma</p>
                                    </body>
                                    </html>";

                        $manish = $this->send_mail('sparkpost','editor@wjpps.com','info@innctech.com',$m_body,$sub);
                        \Log::info(__LINE__.__FILE__."row->error_count == 5_manish".json_encode($manish));
                        break;

                    }

                    if($mailcount%14 ==0)
                    {
                        sleep(1);
                    }
                } 

                catch (Exception $e)
                {
                    \Log::info("Error ".$e->getMessage());
                }
            }

            $this->info('Successfully sent email to subscribers.');
        }
    }

    private function send_mail($driver,$mail_from,$mail_to,$body,$subject,$name=''){
        try{
           
            $site_name = "";
            Mail::mailer($driver)->send([],[],function($message)use($mail_to,$subject,$name,$mail_from,$site_name,$body){
                $message->to($mail_to,$name)->subject($subject);
                $message->from($mail_from,$site_name);
                $message->setBody($body, 'text/html');
            });
          
            return true;
            
        }catch(Exception $e){
            return false;
        }
    }
}
