<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Models\Domain;
use App\Models\Template;
use App\Models\Campaign;
use App\Models\Subscriber;
use App\Models\Publish_Email;
use Carbon;
use DB;

class DateFilterController extends Controller
{
    //
    public function filterDomain()
    {
    
       return view('domains.filter');
    }
    public function domainfilter(Request $request)
    {
        $to = \Carbon\Carbon::tomorrow()->format('Y-m-d');
        
        
        $from = \Carbon\Carbon::now()->subMonth(1)->format('Y-m-d');
        
        $publish_Email = Publish_Email::select('id','sent_status')->whereBetween('updatedon', [ $from,$to])->get();

        // dd($publish_Email); 
        
        $results = Publish_Email::with('domains')->whereBetween('updatedon', [ $from,$to])->groupBy('domain_id')
        ->get(array('domain_id',DB::raw('COUNT(id) as total_count')));
        // dd($results);
        $total_sent_mail = Publish_Email::whereBetween('updatedon', [ $from,$to])->where('sent_status','2')->groupBy('domain_id')
        ->get(array(DB::raw('COUNT(id) as total_sent_mail')))->pluck('total_sent_mail');
        // dd($total_sent_mail);
        
        $publish_domain = array(); 
        
        foreach($results as $result){
                
          $publish_domain []  = [
             'domain_name' => $result->domains->url,
             'total_mail_count' => $result->total_count ?? 0 ,
            
           ];
           
        }
        // dd($publish_domain);
        // $AllRecord = [
        //     // 'total_mail_count' => $publish_Email->count(),
        //     'publish_domain' => $publish_domain 
        // ];
        // dd($AllRecord);
        // $chart = "";
        // foreach($publish_domain as $list)
        // {
        //     foreach($list as $lists)
        //     {
            //    $chart = "['".$list->domain_name."' ,'".$list->total_mail_count."],";
        //     }
        // }
        // dd($chart);
        
        return response()->json(['data'=>$publish_domain,'status'=>'200']);
    }
   
    public function dateFilter(Request $request)
    {
        
        $date  = $request->daterange;
        $parts = explode(' - ' , $request->daterange);
        $from_date = $parts[0];
        $to_date = $parts[1];

        $from = \Carbon\Carbon::createFromFormat('m/d/Y', $from_date)->startOfDay()->format('Y-m-d H:i:s');
        $to= \Carbon\Carbon::createFromFormat('m/d/Y', $to_date)->endOfDay()->format('Y-m-d H:i:s');

        $publish_Email = Publish_Email::select('id','sent_status')->whereBetween('createdon', [ $from,$to])->get();


          //$pub = Publish_Email::with('domains')->whereBetween('createdon', [ $from,$to]);
          $results = Publish_Email::with('domains')->whereBetween('createdon', [ $from,$to])->groupBy('domain_id')
             ->get(array('domain_id',DB::raw('COUNT(id) as total_count')));

         $total_sent_mail = Publish_Email::whereBetween('createdon', [ $from,$to])->where('sent_status','1')->groupBy('domain_id')
             ->get(array(DB::raw('COUNT(id) as total_sent_mail')))->pluck('total_sent_mail');
       
        $total_pending = Publish_Email::whereBetween('createdon', [ $from,$to])->where('sent_status','2')->groupBy('domain_id')
             ->get(array(DB::raw('COUNT(id) as total_pending')))->pluck('total_pending');

       $total_bounce = Publish_Email::whereBetween('createdon', [ $from,$to])->where('sent_status','3')->groupBy('domain_id')
             ->get(array(DB::raw('COUNT(id) as total_bounce')))->pluck('total_bounce');


        $publish_domain = array();
        foreach($results as $key=>$result){
        
          $publish_domain [] = [
             'domain_name' => $result->domains->url,
             'total_mail_count' => $result->total_count ?? 0 ,
             'total_sent_mail' => isset($total_sent_mail[$key]) ? $total_sent_mail[$key] : 0, 
             'total_pending' =>isset($total_pending[$key]) ? $total_pending[$key] : 0 ,
             'total_bounce' => isset($total_bounce[$key]) ? $total_bounce[$key] : 0 , 
           ];
         
        }
        
    //dd($publish_domain);

         $AllRecord = [
            'total_mail_count' => $publish_Email->count(),
            'total_pending' => $publish_Email->where('sent_status','1')->count(),
            'total_sent_mail' => $publish_Email->where('sent_status','2')->count(),
            'total_open' => 0,
            'total_bounce' => $publish_Email->where('sent_status','3')->count(),
            'publish_domain' => $publish_domain 
         ];
         

        
        return response()->json(['data'=>$AllRecord,'status'=>'200']);
    }
}
