<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Domain;
use App\Models\Domain_User;
use App\Models\User;
use Auth;



class DomainController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        // $do = Domain::with("users","domain")->where('id',17)->get();
        // dd($do);
        if(Auth::user()->role == 1)
        {
            // if(Domain_User::where('domain_id'=auth()->id()))->get())   
            // $domain = Domain::with("users")->where('id')->get();
            $domain = Domain::with("users")->where('id',auth()->id())->get();

            return view('domains/listing-domain' , compact('domain'))->with('no',1);
        }else{
            // $check_domain = Domain_User::where(auth()->id(),'domain_id')->get();
            // dd($check_domain);
            $domain = Domain::with("users")->get();
            return view('domains/listing-domain' , compact('domain'))->with('no',1);
        }
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        // $userIds = Domain_User::pluck('user_id')->toArray();
        // $user = User::whereNotIn('id',$userIds)->select('id','name')->get();
        $users = User::select('id','name','email')->get();
        
        return view('domains/add-domain',compact('users'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $email_valid = $request->url;
        $email = explode('//',$email_valid);
        
     
        $validate = $request->validate(
            [
                'url' => 'required',
                'domain_email' => 'required|unique:domains|regex:^[a-zA-Z0-9+_.-]+@'.$email[1].'^',
                'description' => 'required',
                'user' =>'required',
                'mail_driver' => 'required',
                'limit' => 'required',
                'email_status'=>'required',
            ],
           
        );
        $domain = new Domain;
        $domain->url = $request->url;
        $domain->domain_email = $request->domain_email;
        $domain->description = $request->description;
        $domain->is_active = 1;
        $domain->email_status = $request->email_status;
        $domain->mail_driver = $request->mail_driver;
        $domain->email_limit = $request->limit;

        $domain->save();


        $user = new Domain_User;
        $user->domain_id = $domain->id;
        $user->user_id = $request->user;
        $user->save();

        return redirect('/domains')->with('success', 'Domain Added is  successfully ');


    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
        // $userIds = Domain_User::pluck('user_id')->toArray();
        $user = User::all();

        $domain = Domain::find($id);

        return view('domains/update-domain',compact('domain','user'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
        $email_valid = $request->url;
        $email = explode('//',$email_valid);

        $validate = $request->validate([
            'url' => 'required',
            'domain_email' => 'required|regex:^[a-zA-Z0-9+_.-]+@'.$email[1].'^',
            'description' => 'required',
            'user' => 'required',

        ]);
        
        $domain = Domain::find($id);
        $domain->url = $request->url;
        $domain->domain_email = $request->domain_email;
        $domain->description = $request->description;
        $domain->mail_driver = $request->mail_driver;
        $domain->email_limit = $request->limit;

        $domain->is_active = 1;
        $domain->email_status = $request->email_status;
        $domain_user = Domain_User::where('domain_id',$id)->delete();

        $user = new Domain_User;
        $user->domain_id = $domain->id;
        $user->user_id = $request->user;
        $user->save();
        
        $domain->update();

        return redirect('/domains')->with('success', 'Domain Updated is  successfully ');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        $domain = Domain::find($id);
        $domain->delete($id);
        return redirect('/domains')->with('success', 'Domain is successfully Delete');
    }

   

    



}
