<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Template;
use App\Models\Domain;



class TemplatesController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $template = Template::all();
        return view('templates/index',compact('template'))->with('no',1);

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        
        $domain = Domain::select('id','url')->get();
        return view('templates/create',compact('domain'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
      
        //
        $template = new Template;
        $template->title = $request->title;
        $template->template = $request->template;
        $template->is_active = 1;
        $template->domain_id = $request->domain;
        $template->save();
        return redirect('/template')->with('success', 'Templated Added Successfully.');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
        $template = Template::find($id);
        $domain = Domain::select('id','url')->get();
        return view('templates/update',compact('template','domain'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
        $template = Template::find($id);
        $template->title = $request->title;
        $template->template = $request->template;
        $template->is_active = $request->status;
        $template->domain_id = $request->domain;
        $template->update();
        return redirect('/template')->with('success', 'Templated Updated Successfully.');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        $template = Template::find($id);
        $template->delete();
        return redirect('/template')->with('success',"Templated is Sucessfully Deleted.");
    }
    public function templateView($id)
    {
        $template = Template::find($id);
        $templates =  $template->template;
        
        return view('templates/templateview',compact('templates'));
         
    }
}
