<?php

namespace App\Imports;

use App\Models\Subscriber;
use Illuminate\Validation\Rule;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\Importable;
use Maatwebsite\Excel\Concerns\WithHeadingRow;
use Maatwebsite\Excel\Concerns\SkipsEmptyRows;
use Maatwebsite\Excel\Concerns\SkipsOnError;
use Maatwebsite\Excel\Concerns\SkipsOnFailure;
use Maatwebsite\Excel\Concerns\WithValidation;
use Maatwebsite\Excel\Concerns\SkipsFailures;
use Maatwebsite\Excel\Concerns\SkipsErrors;
use Maatwebsite\Excel\Concerns\WithBatchInserts;
use Maatwebsite\Excel\Concerns\WithChunkReading;
use Carbon\Carbon;
use Illuminate\Support\Arr;
use DateTime;

class ContactImport implements ToModel,
 WithHeadingRow,
 SkipsEmptyRows,
 //SkipsOnError,
 WithValidation,
 SkipsOnFailure,
// WithBatchInserts,
 WithChunkReading
{
    //use Importable,SkipsErrors,SkipsFailures;
    use Importable,SkipsFailures;


    public function __construct($domain_id){
        $this->domain_id = $domain_id;
        $this->dateUp = date('Y-m-d H:i:s');
        $this->total_insert =0;

    }
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    public function model(array $row)
    {
       // dd($this->dateUp);
        $this->total_insert ++;
        return new Subscriber([
            'name' => $row['title'],
            'email'=> $row['e_mail_address'],
            'domain_id'=>$this->domain_id,
            'updated'=> $this->dateUp,
        
        ]);
    }


    public function rules(): array
    {
        return [
            'e_mail_address' => Rule::unique('subscribers', 'email'), // Table name, field in your db
           
        ];
    }

    public function customValidationMessages()
    {
        return [
            'e_mail_address.unique' => 'This email is already saved',
        ];
    }

    // public function batchSize(): int
    // {
    //     return 1000;
    // }
    public function chunkSize(): int
    {
        return 5000;
    }
}
