<?php

namespace App\Imports;

use App\Models\ContactGmail;
use Illuminate\Validation\Rule;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\Importable;
use Maatwebsite\Excel\Concerns\WithHeadingRow;
use Maatwebsite\Excel\Concerns\SkipsEmptyRows;
use Maatwebsite\Excel\Concerns\SkipsOnError;
use Maatwebsite\Excel\Concerns\SkipsOnFailure;
use Maatwebsite\Excel\Concerns\WithValidation;
use Maatwebsite\Excel\Concerns\SkipsFailures;
use Maatwebsite\Excel\Concerns\SkipsErrors;
use Maatwebsite\Excel\Concerns\WithBatchInserts;
use Maatwebsite\Excel\Concerns\WithChunkReading;
use Carbon\Carbon;
use Illuminate\Support\Arr;

class GmailContactImport implements ToModel,
 WithHeadingRow,
 SkipsEmptyRows,
 //SkipsOnError,
 WithValidation,
 SkipsOnFailure,
// WithBatchInserts,
 WithChunkReading
{
    //use Importable,SkipsErrors,SkipsFailures;
    use Importable,SkipsFailures;


    public function __construct($domain_id){
        $this->domain_id = $domain_id;

    }
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    public function model(array $row)
    {
        //dd($row);
   
        return new ContactGmail([
            'name' => $row['title'],
            'email'=> $row['e_mail_address'],
            'domain_id'=>$this->domain_id
        ]);

   
    }

    public function rules(): array
    {
        return [
            'e_mail_address' => Rule::unique('contact_gmails', 'email'), // Table name, field in your db
           
        ];
    }

    public function customValidationMessages()
    {
        return [
            'e_mail_address.unique' => 'This email is already saved',
        ];
    }

    // public function batchSize(): int
    // {
    //     return 1000;
    // }
    public function chunkSize(): int
    {
        return 5000;
    }
}
