<?php

namespace App\Jobs;

use App\Models\Subscriber;

use Illuminate\Bus\Batchable;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldBeUnique;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\DB;


class ContactCsvProcess implements ShouldQueue
{
    use Batchable, Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    public $data;
    public $domainId;
    public $header;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct($data, $domainId,$header)
    {
        $this->data   = $data;
        $this->domainId = $domainId;
        $this->header = $header;
        
    }

    /**
     * Execute the job.
     *
     * @return void
     */
      public function handle()
    {
        //dd($this->data);
        $csvdata = [];
        foreach ($this->data as $key=>$value) {
           if($value[0]){
               $csvdata[] = array_combine($this->header,$value);
            
                //Subscriber::updateOrCreate($csvdata);
            }
        }
        if(count($csvdata) > 0){
            DB::table('subscribers')->upsert($csvdata, ['email', 'domain_id'], ['name']);
        }
        //dd($csvdata);
      
        
        ///Subscriber::updateOrCreate($csvdata);
    }
}
