<?php

namespace App\Jobs;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldBeUnique;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use App\Models\PublishMailByCron;
use App\Models\Publish_Email;
use App\Models\Template;
use App\Mail\SubscriberMail;
use Mail;
class MakeEmailCronJob implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;
    protected $sendData;
   
    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct($sendData)
    {
        $this->sendData = $sendData;
        //$this->template = Template::select('id','template')->get();
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        foreach($this->sendData as $value){
            //$template = $this->template->where('id',$value['body']);
            $contents = [
               'from_email' =>$value['from_emailid'],
               'body'=>$value['body'],
               'subject' => $value['subject'],
               'publish_mail_id' => $value['tbl_pub_ema_id'],
            ];

            //$mail = Mail::mailer('sparkpost')//$value['mail_driver']
                  //  ->to($value['to_emailid'])
                    //->to('phpvishal1994@gmail.com')
                   // ->send(new SubscriberMail($contents));

            /*$mail = Mail::to($value['to_emailid'])
                    ->send(new SubscriberMail($contents)); */
          
            Publish_Email::where('id',$value['tbl_pub_ema_id'])->update(['sent_status'=>config('constant.PUBLISH_EMAIL_SENT')]);
          
            PublishMailByCron::where('tbl_pub_ema_id',$value['tbl_pub_ema_id'])->delete();
        }
    }
}
