<?php

namespace App\Jobs;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldBeUnique;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Mail;
use App\Mail\SubscriberMail;
use App\Models\Publish_Email;
use App\Models\PublishMailByCron;

class PublishMailJob implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;
    protected $sendData;
    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct($sendData){
        $this->sendData = $sendData;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle(){
        
          \Log::info($this->sendData);
       foreach($this->sendData as $value){

            $contents = [
                   'name' =>$value['to_name'],
                   'message'=>$value['body'],
                   'subject' => $value['subject'],
            ];
        
            PublishMailByCron::where('tbl_pub_ema_id',$value['tbl_pub_ema_id'])->delete();         

            //$email = new SubscriberMail($contents); 
            //$mail = Mail::to($value['email'])->send($email);
        }
    }

  
}
