<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\Publish_Email;
class Campaign extends Model
{
    use HasFactory;
    protected $table = 'campaign';
    public $timestamps = false;

    protected $fillable = [
       'status'
    ];

    public function domains() {
        return $this->belongsTo(Domain::class,'domain_id');
    }
    public function template(){
        return $this->belongsTo(Template::class,'template_id');
    }

    public function publish(){
        return $this->hasMany(Publish_Email::class,'campaign_id');
    }

    public function publishEmail(){
       return $this->hasMany(Publish_Email::class,'campaign_id'); 
    }

    public function remainingEmailCount(){
       return Publish_Email::where([['campaign_id',$this->id],['sent_status',config('constant.PUBLISH_EMAIL_INITIAL')]])->count(); 
    }
    public function sentEmailCount(){
       return Publish_Email::where([['campaign_id',$this->id],['sent_status',config('constant.PUBLISH_EMAIL_SENT')]])->count(); 
    }
    public function inProcessEmailCount(){
       return Publish_Email::where([['campaign_id',$this->id],['sent_status',config('constant.PUBLISH_EMAIL_IN_PROCESS')]])->count(); 
    }



}
