<?php

namespace App\Models;
use App\Models\User;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Domain extends Model
{
    use HasFactory;
    protected $table = 'domains';
    public $timestamps = false;

    public function domains()
    {
        return $this->hasMany(User::class);
    }
    public function campaign()
    {
        return $this->hasMany(Campaign::class);
    }
    // public function user_name(){
    //     return $this->hasOneThrough(Domain_User::class , User::class , 'id' ,'id'  );
    // }
    
    public function users(){
        return $this->belongsToMany(User::class, 'domain_users', 
        'domain_id','user_id' )->withPivot('id');
    }
    public function domain(){
        return $this->belongsToMany(Domain::class, 'domain_users', 
        'domain_id','user_id' )->withPivot('id');
    }
    // public function user(){
    //     return $this->belongsTo(User::class, 'user_id')->using(Domian_user::class);
    // }
    public function subscribers() {
        return $this->hasMany(Subscriber::class,'domain_id');
    }

    public function activeSubscriberIds() {
        return $this->hasMany(Subscriber::class,'domain_id')->where('is_active',1)->select('id');
    }
    
}