<?php

namespace App\Models;
use App\Models\Domain;


use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    public function users() {
        return $this->belongsTo(Domain::class,'domain_id');
    }

   
    public function domain_user(){
        return $this->belongsTo(Domain_User::class);
    }
    public function user(){
        return $this->belongsToMany(User::class, 'domain_users', 
        'domain_id','user_id' )->withPivot('id');
    }
}
