@extends('layouts.master')


@section('content')
<div class="page-breadcrumb">
    <div class="row">
        <div class="col-12 d-flex no-block align-items-center">
            <h4 class="page-title"></h4>
            <div class="ml-auto text-right">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="/home">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Campaign</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
</div>
<!-- ============================================================== -->
<!-- End Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<!-- ============================================================== -->
<!-- Container fluid  -->
<!-- ============================================================== -->
<div class="container-fluid">
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title m-b-0">Campaign</h5>
                    <a href="{{ url('/campaign/create')}}"><button class="btn btn-primary m-b-0" style="float:right;">Add </button></a>
                </div>
                 {{-- <div class="msg_div">
                    @if(session()->get('success'))
                        <div class="alert alert-success">
                          {{ session()->get('success') }}  
                        </div><br />
                      @endif
                </div> --}} 
                @include('partials.message')
                <table class="table" id="campaign-list">
                    <thead>
                        <tr>
                            <th scope="col">S No.</th>
                            <th scope="col">Campaign</th>
                            <th scope="col">Subjects</th>
                            <th scope="col">Domain</th>
                            <th scope="col">Created Date</th>
                            <th scope="col">Sent Mail</th>
                            <th scope="col">In Process</th>
                            <th scope="col">Remaining Mails</th>
                            <th scope="col">Status</th>
                            <th scope="col" style="width: 65px;">Action</th>
                          
                            
                        </tr>
                    </thead>
                    <tbody>
                   
                        
                         
                        
                    </tbody>

                </table>
                {{-- $campaign->links() --}}
            </div>
        </div>
    </div>
</div>

<!-- ========================== Start modal for campaign testing==================================== -->


<button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModalCenter">
    Launch demo modal
  </button>
  
  <!-- Modal -->
  <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalCenterTitle"> <th scope="col">Test Campaign</th></h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          ...
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          <button type="button" class="btn btn-primary">Save changes</button>
        </div>
      </div>
    </div>
  </div>


<!-- ========================== End modal for campaign testing==================================== -->



@endsection
@section('script')
<script>
 
    $(function () {

        var otable = $('#campaign-list').DataTable({
            processing: true,
            serverSide: true,
            ajax: "{{ route('campaign.index') }}",
    
            columns: [
                { data: 'DT_RowIndex', name: 'DT_RowIndex', orderable: false, searchable: false },
                // { data: 'id', name: 'id',orderable: false, searchable: false },
                { data: 'campaign', name: 'campaign', orderable: false, searchable: false },
        
                { data: 'subject', name: 'subject' , orderable: false, searchable: false},

                { data: 'domains', name: 'domains.url', orderable: false, searchable: false },
                
                { data: 'created_at', name: 'created_at', orderable: false, searchable: false },

                { data: 'publish_Email', name: 'publishEmail.sentEmailCount()', orderable: false, searchable: false },
                 
                {data: 'sent_email', names: 'sent_email.inProcessEmailCount()',orderable: false, searchable: false},

                {data: 'not_Sentemail', names: 'not_Sentemail.remainingEmailCount()',orderable: false, searchable: false},

                {data: 'status', names: 'status',orderable: false, searchable: false},

                { data: 'action', name: 'action', orderable: false, searchable: false },
            ]
        });

    });
    function deleteFunc(id){
    if (confirm("Delete Record?") == true) {
    var id = id;
     // ajax
    $.ajax({
        type:"POST",
        url: "{{ url('campaign_list') }}/"+id,
        data: { 
            id: id,
            _token: '{{ csrf_token() }}',

        },
        dataType: 'json',
        success: function(res){
            if (res.status == 200){
                  alert(res.message);
                  var oTable = $('.data-table').dataTable();
                  oTable.fnDraw(false);
            }else if(res.status == 201){
                alert(res.message);
                var oTable = $('.data-table').dataTable();
                oTable.fnDraw(false);
            }
       }
    });
    }
    }


    function testFunc(id){
    alert(id);
    var id = id;
     // ajax
    // $.ajax({
    //     type:"POST",
    //     url: "{{ url('campaign_list') }}/"+id,
    //     data: { 
    //         id: id,
    //         _token: '{{ csrf_token() }}',

    //     },
    //     dataType: 'json',
    //     success: function(res){
    //         if (res.status == 200){
    //               alert(res.message);
    //               var oTable = $('.data-table').dataTable();
    //               oTable.fnDraw(false);
    //         }else if(res.status == 201){
    //             alert(res.message);
    //             var oTable = $('.data-table').dataTable();
    //             oTable.fnDraw(false);
    //         }
    //    }
    // });
    
    }
</script>
@endsection