@extends('layouts.master')
@section('content')
<div class="page-breadcrumb">
    <div class="row">
        <div class="col-12 d-flex no-block align-items-center">
            <h4 class="page-title"></h4>
            <div class="ml-auto text-right">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="/home">Home</a></li>
                        <li class="breadcrumb-item"><a href="/campaign">Campaign</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Add</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
</div>
<div class="container-fluid">
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <div class="card">
        <div class="card-body wizard-content">
            <h4 class="card-title"> Update Campaign</h4>
            <h6 class="card-subtitle"></h6>
            <form id="example-form" action="{{ url('/campaign/'.$campaign->id)}}" method="POST" class="m-t-40">
            @csrf  
                    @method('PUT')
                <div>
                    
                <section style="clear:both; marign-top:25px;">
                        <br>
                        <label>Campaign Name*</label>
                        <input  name="campaign" type="text" class="required form-control" value="{{ $campaign->campaign}}">
                        @error('campaign')
                            <span class="text-danger error">{{ $message}}</span>
                        @enderror
                        <br>
                        <label>Select Domain</label>
                        <select name="domain" class="required form-control"> 
                        <!-- <option disabled value="{{ $campaign->domain_id}}" selected >{{ $campaign->domains->url}}</option> -->
                            @foreach($domain as $item)
                                <option value="{{ $item->id}}" {{ $item->id == $campaign->domain_id ? 'selected': ''}} >{{ $item->url}}</option>
                            @endforeach
                        </select>
                        @error('domain')
                            <span class="text-danger error">{{ $message}}</span>
                        @enderror
                          <br>
                        <label>Status</label>
                        <select name="status" class="required form-control">
                        @if($campaign->status==1)
                        <option value="{{ $campaign->status}}" {{  $campaign->status ? 'selected': ''}}>Start</option>
                                @elseif($campaign->status==0)
                                <option value="{{ $campaign->status}}" {{  $campaign->status ? 'selected': ''}}>Initial</option>
                                @elseif($campaign->status==2)
                                <option value="{{ $campaign->status}}" {{  $campaign->status ? 'selected': ''}}>End</option>
                                @endif
                            <!-- <option value="0" >Initial</option>
                            <option value="1" >Start</option>
                            <option value="2" >End</option>                         -->
                        </select>
                        @error('status')
                            <span class="text-danger error">{{ $message}}</span>
                        @enderror
                        <br>
                        <label>Select Templates </label>
                        <select name="templates" class="required form-control">
                        
                            @foreach($template as $item)
                                <option value="{{ $item->id}}" {{ $item->id == $campaign->template_id ? 'selected': ''}}>{{ $item->title}}</option>
                            @endforeach
                        </select>
                        @error('templates')
                            <span class="text-danger error">{{ $message}}</span>
                        @enderror
                        <br>
                        <label>Campaign Subject</label>
                        <input  name="subject" type="text" class="required form-control" value="{{ $campaign->subject}}">
                        @error('subject')
                            <span class="text-danger error">{{ $message}}</span>
                        @enderror
                        <br>
                        
                        </section>
                        <br>
                        <input type="submit" class="btn btn-primary float-left" value="Submit"/>

                </div>
            </form>
        </div>
    </div>
</div>
                    


@endsection