@extends('layouts.master')
@section('content')
<div class="page-breadcrumb">
    <div class="row">
        <div class="col-12 d-flex no-block align-items-center">
            <h4 class="page-title"></h4>
            <div class="ml-auto text-right">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="/home">Home</a></li>
                        <li class="breadcrumb-item"><a href="/domains">Domains</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Add</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
</div>
<div class="container-fluid">
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <div class="card">
        <div class="card-body wizard-content">
            <h4 class="card-title">Add Domain</h4>
            <h6 class="card-subtitle"></h6>
            <form id="example-form" action="{{ url('/domains')}}" method="POST" class="m-t-40">
                @csrf
                <div>
                    
                        <section style="clear:both; marign-top:25px;">
                        <br>
                        <label>URL</label>
                        <input  name="url" type="text" class="required form-control" placeholder="Name">
                        @error('url')
                            <span class="text-danger error">{{ $message}}</span>
                        @enderror
                        <br>
                        <label>Domain Email</label>
                        <input  name="domain_email" type="text" class="required form-control" placeholder="Email">
                        @error('domain_email')
                            <span class="text-danger error">{{ $message}}</span>
                          @enderror
                          <br>
                        <label>Description</label>
                        <input  name="description" type="text" class="required form-control" placeholder="Description">
                        @error('description')
                            <span class="text-danger error">{{ $message}}</span>
                        @enderror
                        <br>
                        <label>Select User</label>
                        <select name="user" class="required form-control">
                        <option value="" disabled selected hidden>Select User</option>
                            @foreach($users as $item)
                                <option value="{{ $item->id}}" >{{ $item->name}} ({{$item->email}})</option>
                            @endforeach
                        </select>
                        <br>
                        <label>Select Mail Driver</label>
                        <select name="mail_driver" class="required form-control">
                                <option value="" disabled selected hidden>Select Mail    </option>
                                <option value="ses" >AWS</option>
                                <option value="sparkpost" >SparkPost</option>

                        </select>
                        @error('mail_driver')
                            <span class="text-danger error">{{ $message}}</span>
                        @enderror
                        <br>
                        <label>Set Limit</label>
                        <input  name="limit" type="number" class="required form-control" placeholder="Set Limit">
                        @error('limit')
                            <span class="text-danger error">{{ $message}}</span>
                        @enderror
                        <br>
                        <label>Set Email Status</label>
                        <select name="email_status" class="required form-control" required>
                                <option value="" disabled selected hidden> Mail Status   </option>
                                <option value="1" >Verified</option>
                                <option value="0" >Not Verified</option>

                        </select>
                        <br>
                        </section>
                        <br>
                        <input type="submit" class="btn btn-primary float-left" value="Submit"/>

                </div>
            </form>
        </div>
    </div>
</div>
                    


@endsection