@extends('layouts.master')


@section('content')
<div class="page-breadcrumb">
    <div class="row">
        <div class="col-12 d-flex no-block align-items-center">
            <h4 class="page-title"></h4>
            <div class="ml-auto text-right">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="/home">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Domains</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
</div>
<!-- ============================================================== -->
<!-- End Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<!-- ============================================================== -->
<!-- Container fluid  -->
<!-- ============================================================== -->
<div class="container-fluid">
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title m-b-0">Domains</h5>
                    <a href="{{ url('/domains/create')}}"><button class="btn btn-primary m-b-0" style="float:right;">Add </button></a>
                </div>
                <div class="msg_div">
                    @if(session()->get('success'))
                        <div class="alert alert-success">
                          {{ session()->get('success') }}  
                        </div><br />
                      @endif
                </div>
                <table class="table" id="domain-table">
                    <thead>
                        <tr>
                            <th scope="col">S No.</th>
                            <th scope="col">URL</th>
                            <th scope="col">Email</th>
                            <th scope="col">Description</th>
                            <th scope="col">User</th>
                            <th scope="col">Email Verified</th>
                            <th scope="col">Mail Driver</th>
                            <th scope="col">Limit</th>
                            <th scope="col" style="width:65px;">Action</th>
                          
                            
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ( $domain as $data)
                        {{-- dd($data->users) --}}
                        
                        <tr>
                            
                            <td>{{ $no++}}</td>
                            <td>{{ $data->url}}</td>
                            <td>{{$data->domain_email}}</td>
                            <td>{{$data->description}}</td>
                            <td>
                                {{ isset($data->users[0]->name) ? $data->users[0]->name:"NA" }}
                            </td>
                            <td>
                                @if($data->email_status==1)
                                Verified
                                @elseif($data->email_status==0)
                                Not Verified
                                @endif
                            </td>
                            <td>{{$data->mail_driver}}</td>
                            <td>{{ $data->email_limit }}</td>
                            <td class="action_td"><a href="{{ url('domains/'.$data->id.'/edit') }}" title="Edit" ><i class="far fa-edit"></i></a>
                            <form action="{{ url('domains/'.$data->id) }}" method="post">
                                        @csrf
                                    @method('DELETE')
                                <button type="submit" id="del" class="btn btn-danger" title="Delete" onClick="return checkdelete()"><i class="far fa-trash-alt"></i></button></td>
                            </form>
                        </tr>
                        @endforeach
                        
                    </tbody>

                </table>
            </div>
        </div>
    </div>
</div>




@endsection
@section('script')
<script>
    $(document).ready( function () {
        $('#domain-table').DataTable();
    });

</script>
@endsection