@extends('layouts.master')


@section('content')
<div class="page-breadcrumb">
    <div class="row">
        <div class="col-12 d-flex no-block align-items-center">
            <h4 class="page-title"></h4>
            <div class="ml-auto text-right">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="/home">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Subscribers</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
</div>
<!-- ============================================================== -->
<!-- End Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<!-- ============================================================== -->
<!-- Container fluid  -->
<!-- ============================================================== -->
<div class="container-fluid">
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title m-b-0">Subscribers</h5>
                    <a href="{{ url('/subscribers/create')}}"><button class="btn btn-primary m-b-0"
                            style="float:right;">Add </button></a>
                </div>
                <div class="msg_div">
                    @if(session()->get('success'))
                    <div class="alert alert-success">
                        {{ session()->get('success') }}
                    </div><br />
                    @endif
                </div>
                <div class="row md-3">
                    <div class="col-4">
                        <label style="margin-left:25px;">Select Domain</label>
                                <select name="subs_isactive" class="required form-control" id="domain_id" style="margin-left:25px;" >
                                    required>
                                    <option value=""  selected >All Domain</option>
                                    @foreach($domain as $data)
                                    <option  value="{{ $data->id}}">{{ $data->url}}</option>
                                    @endforeach
                                    
                                </select>
                    </div>
                </div>
                <br>
                <table class="table" id="subscriber-list">
                    <thead>
                        <tr>
                            <th scope="col">S No.</th>
                            <th scope="col">Name</th>
                            <th scope="col">Email</th>
                            <th scope="col">Domain</th>
                            <th scope="col">Status</th>
                            <th scope="col">Action</th>



                        </tr>
                    </thead>
                    <tbody>
                        {{-- @foreach ( $subscriber as $data)

                        <tr>

                            <td>{{ $no++}}</td>
                            <td>{{ $data->name ?? 'NA'}}</td>
                            <td>{{$data->email}}</td>
                            <td>{{$data->domains->url}}</td>
                            <td>
                                @if($data->is_active==0)
                                <select name="subs_isactive" class="required form-control" data-id="{{$data->id}}"
                                    required>
                                    <option value="1">Active</option>
                                    <option value="0" selected>De Active</option>
                                    <option value="2">Unsubscribed</option>
                                </select>
                                @elseif($data->is_active==1)
                                <select name="subs_isactive" class="required form-control" data-id="{{$data->id}}"
                                    required>
                                    <option value="1" selected>Active</option>
                                    <option value="0">De Active</option>
                                    <option value="2">Unsubscribed</option>
                                </select>
                                @elseif($data->is_active==2)
                                <select name="subs_isactive" class="required form-control" data-id="{{$data->id}}"
                                    required>
                                    <option value="1">Active</option>
                                    <option value="0">De Active</option>
                                    <option value="2" selected>Unsubscribed</option>
                                </select>
                                @endif


                            </td>


                            <td class="action_td"><a href="{{ url('/subscribers/'.$data->id.'/edit') }}" title="Edit"><i
                                        class="far fa-edit"></i></a>


                                <form action="{{ url('subscribers/'.$data->id) }}" method="post">
                                    @csrf
                                    @method('DELETE')
                                    <button type="submit" id="del" class="btn btn-danger" title="Delete"
                                        onClick="return checkdelete()"><i class="far fa-trash-alt"></i></button>
                            </td>
                            </form>
                            </td>

                        </tr>
                        @endforeach --}}

                    </tbody>

                </table>
            </div>
            {{-- <span style="text-align:center; margin:30px">{{ $subscriber->links()}}</span> --}}
        </div>

    </div>
</div>




@endsection
@section('script')
<script>

    $(function () {

        var otable = $('#subscriber-list').DataTable({
            processing: true,
            serverSide: true,
            ajax: {
                url : "{{ route('subscribers.index') }}",
                type: 'GET', 
                data: function (d) {
                d.domain = $('#domain_id').val()
            

                }
            },

            columns: [
                { data: 'DT_RowIndex', name: 'DT_RowIndex', orderable: false, searchable: false },
                // { data: 'id', name: 'id' },
                { data: 'name', name: 'name', orderable: false, searchable: false },
        
                { data: 'email', name: 'email' },
                { data: 'domains', name: 'domains.url', orderable: false, searchable: false },
                
                {data: 'is_active', names: 'is_active',orderable: false, searchable: false},

                { data: 'action', name: 'action', orderable: false, searchable: false },
            ]
        });

    });
    // $('#').click(function(){
    //  $('#subscriber_list').DataTable().draw(true);
    // });
    $(document).ready(function() {
    //$('#select-status').on('change', function() {
    $('body').on('change', '#select-is_active', function () {

       let id = $(this).data("id");
       let is_active = this.value;
       //let status = $('#select-status').val();
       
            statusFunc(id,is_active);
    });
    $('body').on('change', '#domain_id', function () {

        // let id = $(this).val();
        // alert(id);
        $('#subscriber-list').DataTable().draw(true);
  
     
    });

});
function statusFunc(id,is_active){
  
  var id = id;
  var is_active = is_active;
//   let is_active == status;
  if (confirm("Do you really want to save the changes") == true) {
   // ajax
  $.ajax({
      type:"PUT",
      url: "{{ url('subscriber_status') }}/"+id,
      data: { 
          id: id,
          is_active:is_active,
          _token: '{{ csrf_token() }}',

      },
      dataType: 'json',
      success: function(res){
          if (res.status == 200){
                // toastr.success(res.message);
                alert(res.message);
                var oTable = $('.data-table').dataTable();
                oTable.fnDraw(false);
          }else if(res.status == 201){
            //   toastr.error(res.message);
            alert(res.message);
              var oTable = $('.data-table').dataTable();
              oTable.fnDraw(false);
          }
     }
  });
  }

}
function deleteFunc(id){
    if (confirm("Delete Record?") == true) {
    var id = id;
     // ajax
    $.ajax({
        type:"POST",
        url: "{{ url('subscriber_list') }}/"+id,
        data: { 
            id: id,
            _token: '{{ csrf_token() }}',

        },
        dataType: 'json',
        success: function(res){
            if (res.status == 200){
                  alert(res.message);
                  var oTable = $('.data-table').dataTable();
                  oTable.fnDraw(false);
            }else if(res.status == 201){
                alert(res.message);
                var oTable = $('.data-table').dataTable();
                oTable.fnDraw(false);
            }
       }
    });
    }
}
</script>
@endsection