@extends('layouts.master')
@section('content')
<div class="page-breadcrumb">
    <div class="row">
        <div class="col-12 d-flex no-block align-items-center">
            <h4 class="page-title"></h4>
            <div class="ml-auto text-right">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="/home">Home</a></li>
                        <li class="breadcrumb-item"><a href="/template">Templates</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Create</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
</div>
<div class="container-fluid">
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <div class="card">
        <div class="card-body wizard-content">
            <h4 class="card-title">Add Template </h4>
            <h6 class="card-subtitle"></h6>
            <form id="example-form" action="{{ url('/template/')}}" method="POST" class="m-t-40">
                @csrf

                <div>

                <section style="clear:both; marign-top:25px;">
                        <br>
                        <label>Title Name</label>
                        <input name="title" type="text" class="required form-control" placeholder="Title" required>
                        @error('name')
                        <span class="text-danger error">{{ $message}}</span>
                        @enderror
                        <br>
                        <label>Select Domain</label>
                        <select name="domain" class="required form-control">
                            @foreach($domain as $item)
                            <option value="{{ $item->id}}">{{ $item->url}}</option>
                            @endforeach
                        </select>
                        <br>
                        <label>Set HTML</label>
                        <div class="container m-t-20">

                        <textarea name="template" id="template" rows="10" cols="80" placeholder="Set Html" required></textarea>
                            <br>
                            <input type="submit" class="btn btn-primary float-left" value="Submit" />

                        </div>
                    </section>
                </div>
            </form>
        </div>
    </div>
</div>

@endsection