@extends('layouts.master')


@section('content')
<div class="page-breadcrumb">
    <div class="row">
        <div class="col-12 d-flex no-block align-items-center">
            <h4 class="page-title"></h4>
            <div class="ml-auto text-right">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="/home">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Subscribers</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
</div>
<!-- ============================================================== -->
<!-- End Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<!-- ============================================================== -->
<!-- Container fluid  -->
<!-- ============================================================== -->
<div class="container-fluid">
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title m-b-0">Templates</h5>
                    <a href="{{ url('/template/create')}}"><button class="btn btn-primary m-b-0" style="float:right;">Add </button></a>
                </div>
                <div class="msg_div">
                    @if(session()->get('success'))
                        <div class="alert alert-success">
                          {{ session()->get('success') }}  
                        </div><br />
                      @endif
                </div>
                <table class="table" id="template-table">
                    <thead>
                        <tr>
                            <th scope="col">S No.</th>
                            <th scope="col">Domain Name</th>
                            <th scope="col">Title</th>
                            <th scope="col">Status</th>
                            
                            <th scope="col">Action</th>
                            

                            
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ( $template as $data)
                    
                        <tr>
                            
                            <td>{{ $no++}}</td>
                            <td>{{ isset($data->domains->url) ? $data->domains->url : 'N/A'}}</td>
                            <td>{{$data->title}}</td>
                            <td>@if($data->is_active==1)
                                Active
                                @elseif($data->is_active==0)
                                Deactive
                                @endif
                             </td>

                            
                            <td class="action_td">
                                <a href="{{ url('/template/'.$data->id.'/edit') }}" title="Edit" ><i class="far fa-edit"></i></a>
                            

                           <span class="pub"><a href="{{ url('template_view/'.$data->id) }}" target="_blank" title="Template View"><i class="fa fa-eye" ></i></a></span>
                            
                            <form action="{{ url('template/'.$data->id) }}" method="post">
                                        @csrf
                                    @method('DELETE')
                                <button type="submit" id="del" class="btn btn-danger" title="Delete" onClick="return checkdelete()"><i class="far fa-trash-alt"></i></button></td>
                            </form>
                        </tr>
                        @endforeach
                        
                    </tbody>
                    
                </table>
            </div>
            
        </div>

    </div>
</div>




@endsection
@section('script')
<script>
    $(document).ready( function () {
        $('#template-table').DataTable();
    });

</script>
@endsection