@extends('layouts.master')
@section('content')
<div class="page-breadcrumb">
    <div class="row">
        <div class="col-12 d-flex no-block align-items-center">
            <h4 class="page-title"></h4>
            <div class="ml-auto text-right">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="/home">Home</a></li>
                        <li class="breadcrumb-item"><a href="/template">Templates</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Update</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
</div>
<div class="container-fluid">
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <div class="card">
        <div class="card-body wizard-content">
            <h4 class="card-title">Update </h4>
            <h6 class="card-subtitle"></h6>
            <form id="example-form" action="{{ url('/template/'.$template->id)}}" method="POST" class="m-t-40">
                @csrf
                @method('PUT')
                <div>

                    <section class="clearfix">
                        <div class="left-content">
                        <label>Title Name</label>
                        <input name="title" type="text" class="required form-control" value="{{ $template->title}}">
                        @error('name')
                        <span class="text-danger error">{{ $message}}</span>
                        @enderror
                        </div>
                        <div class="right-content">
                        <label>Status</label>
                        <select name="status" class="form-control">
                            
                            <option value="1">Active</option>
                            <option value="0">In Active</option>
                        </select>
                        @error('email')
                        <span class="text-danger error">{{ $message}}</span>
                        @enderror
                        </div>
                        <div class="clearfix">

                        <label>Select Domain</label>
                        <select name="domain" class="required form-control">
                            @foreach($domain as $item)
                            <option value="{{ $item->id}}">{{ $item->url}}</option>
                            @endforeach
                        </select>
                        <div class="gaig-main container">
                        <div class="gaig-sidebar">
                                <div class="gaig-sidebar-inner">
                                    <!-- set height for demo only -->
                                    <div style="height: 50px"></div>
                                </div>
                            </div>
                            <div class="gaig-stage">
                                <div class="gaig-stage-inner">
                                    <div class="pad20">
                                        <form>
                                            <textarea name="template" id="template" rows="10" cols="80" >{{ $template->template}}
                                                
                                             </textarea>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                        </div>
                    </section>
                        <br>
                        <input type="submit" class="btn btn-primary float-left" value="Submit" />

                </div>
            </form>
        </div>
    </div>
</div>
{{-- 
<script src="https://cdn.ckeditor.com/4.11.1/full/ckeditor.js"></script>
<script>
    CKEDITOR.replace( 'email_template',{
    allowedContent:false
  });
</script> --}}

{{-- <script src="//cdn.ckeditor.com/4.14.0/standard/ckeditor.js"></script>
<script type="text/javascript">
    CKEDITOR.replace('email_template', {
        filebrowserUploadMethod: 'form'
    });
</script> --}}

@endsection