@extends('layouts.master')
@section('content')
<div class="page-breadcrumb">
    <div class="row">
        <div class="col-12 d-flex no-block align-items-center">
            <h4 class="page-title"></h4>
            <div class="ml-auto text-right">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="/home">Home</a></li>
                        <li class="breadcrumb-item"><a href="/user">User</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Update Users</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
</div>
<div class="container-fluid">
    <!-- ============================================================== -->
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <div class="card">
        <div class="card-body wizard-content">
            <h4 class="card-title">Update Users </h4>
            <h6 class="card-subtitle"></h6>
            <form id="example-form" action="{{ url('/user/'.$user->id)}}" method="POST" class="m-t-40">
                @csrf
                @method('PUT')
                <div>
                    
                <section style="clear:both; marign-top:25px;">
                        <br>
                        <label>Name</label>
                        <input  name="name" type="text" class="required form-control" value="{{ $user->name}}">
                        @error('name')
                            <span class="text-danger error">{{ $message}}</span>
                          @enderror
                        <br>
                        <label>Email</label>
                        <input  name="email" type="text" class="required form-control" value="{{ $user->email}}">
                        @error('email')
                            <span class="text-danger error">{{ $message}}</span>
                        @enderror
                        <br>
                        <label>Select Domain</label>
                        <select name="domain[]" class="required form-control basic" multiple="">
                        
                            @foreach($domain as $item)
                                <option value="{{ $item->id}}" >{{ $item->url}}</option>
                            @endforeach
                        </select>
                        <br>
                        <br>
                        <label>Change Password</label>
                        <input  name="password" type="password" class="form-control">
                        @error('password')
                            <span class="text-danger error">{{ $message}}</span>
                          @enderror
                        <small>*IF Password Has Changed.</small>
                        </section>
                        <br>
                        <input type="submit" class="btn btn-primary float-left" value="Submit"/>

                </div>
            </form>
        </div>
    </div>
</div>
                    


@endsection