<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\ExcelImportController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\DomainController;
use App\Http\Controllers\DateFilterController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\SubscribersController;
use App\Http\Controllers\TemplatesController;
use App\Http\Controllers\CampaignController;






/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function() {
	if(Auth::check()){
		return redirect('/home');
	}
    return view('auth.login');
});

Route::get('/queue-work', function() {
    Artisan::call('queue:work');
    return 'Job queue working.';
});

Route::get('/test-email', [HomeController::class ,'test_email']);

Route::get('/unsubscribe/{subscriber_id}', [SubscribersController::class ,'unsubscribeForSendEmail'])->name('unsubscribe');
Route::get('track-email/{publish_email_id}', [CampaignController::class ,'saveCampaignEmailOpenedRecord'])->name('track-opened-mail');

Route::get('/welcome', function() {
	return view('welcome');
});


Auth::routes();

Route::group([ 'middleware' => 'auth'], function(){

Route::get('/import-create', [ExcelImportController::class ,'contactImportCreate'])->name('import.contact.create');
Route::post('import/contact/store', [ExcelImportController::class ,'emailCsvStore'])->name('import.contact.store');
//Route::get('test-email', [HomeController::class ,'test_mail']);
Route::get('test-cron', [HomeController::class ,'test_cron_mail']);
// Route::get('/home', [HomeController::class ,'index']);

Route::resource('/domains', DomainController::class);
Route::get('/report', [DateFilterController::class,'filterDomain']);
Route::post('/status', [DomainController::class,'changeStatus']);
Route::post('/date', [DateFilterController::class,'dateFilter']);


Route::resource('/user', UserController::class);
Route::post('user_list/{id}',[UserController::class,'destroyUser'])->name('user_list.destroy');




Route::resource('/subscribers', SubscribersController::class);
Route::put('subscriber_status/{id}',[SubscribersController::class, 'statusUpdate'])->name('subscriber.status');
Route::post('subscriber_list/{id}',[SubscribersController::class,'destroySubscriber'])->name('Subscribers.destroy');


Route::resource('/template', TemplatesController::class);
Route::get('/template_view/{id}',[ TemplatesController::class,'templateView']);

//--------------------CampaignController---------------
Route::get('campaign-send-mail/{compaign_id}',[CampaignController::class,'sendDataToMailByCron'])->name('campaign.send.mail');
Route::post('campaign_list/{id}',[CampaignController::class,'destroyCampaign'])->name('campaign.destroy');
Route::get('campaign_test/{campaign}',[CampaignController::class,'createCampaign'])->name('test.create');
Route::get('send_mail/{campaign}',[CampaignController::class,'test'])->name('campaign_run.test');




Route::resource('/campaign', CampaignController::class);
//Route::get('/publish_email/{id}', [CampaignController::class, 'Publish_Email']);
///Route::get('/sent_email/{id}', [CampaignController::class, 'Email_Sent']);
Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Route::get('/domainfilter', [App\Http\Controllers\DateFilterController::class, 'domainfilter']);


});
